# sum

Returns the total of a sequence of numbers or durations

sum($arg as xs:anyAtomicType*) → xs:anyAtomicType

Arguments
| $arg | xs:anyAtomicType* | The sequence of values to be totalled
Result | xs:anyAtomicType

sum($arg as xs:anyAtomicType*, $zero as xs:anyAtomicType?) → xs:anyAtomicType?

Arguments
| $arg | xs:anyAtomicType* | The sequence of values to be totalled
| $zero | xs:anyAtomicType? | The value to return if the input sequence is empty (default integer zero)
Result | xs:anyAtomicType?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next